Airwallex logo

Financial Transactions

Copy for LLMView as Markdown
GET /api/v1/financial_transactions/{id}Retrieve a Financial Transaction
GET /api/v1/financial_transactionsList all Financial Transactions

Retrieve a Financial Transaction

GET /api/v1/financial_transactions/{id}

Get a specific financial transaction by an Airwallex financial transaction unique identifier.

Path parameters
idrequiredstring

Unique identifier of financial transaction.

Headers
x-on-behalf-ofstring

Unique identifier of the connected sub account.

Response body - 200 OK
amountnumber

Gross amount the transaction.

batchIdstring

The batch unique identifier of the settlement that the transaction belongs to.

clientRatenumber

The client rate for the transaction.

createdAtstring

The time this transaction was created at.

currencystring

Currency the transaction should be made in (3-letter ISO-4217 code).

currencyPairstring

The currency pair that the client_rate is quoted in.

descriptionstring

The description of the transaction.

estimatedSettledAtstring

The time when the transaction will be settled at.

feenumber

Fee paid for the transaction.

fundingSourceIdstring

The unique identifier of the funding source from which the transaction originated.

idstring

Unique identifier of the transaction.

netnumber

Net amount of the transaction.

settledAtstring

The time when the transaction was settled at.

sourceIdstring

The source unique identifier of the transaction.

sourceTypestring

The type of the source transaction, One of PAYOUT, CONVERSION, DEPOSIT, ADJUSTMENT, FEE, PAYMENT_ATTEMPT, REFUND, DISPUTE, CHARGE, TRANSFER, YIELD, BATCH_PAYOUT, CARD_PURCHASE, CARD_REFUND, PURCHASE, REFUND_REVERSAL, REPAYMENT, TRANSFER_OUT, TRANSFER_IN, TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL, WITHHOLDING_TAX.

statusstring

One of PENDING, SETTLED, CANCELLED .

transactionTypestring

The type of the transaction, One of DISPUTE, DISPUTE_REVERSAL, DISPUTE_LOST, REFUND, REFUND_REVERSAL,REFUND_FAILURE, PAYMENT_RESERVE_HOLD,PAYMENT_RESERVE_RELEASE,PAYOUT,PAYOUT_FAILURE, PAYOUT_REVERSAL, CONVERSION_SELL, CONVERSION_BUY, CONVERSION_REVERSAL, DEPOSIT, ADJUSTMENT, FEE, DD_CREDIT, DD_DEBIT, DC_CREDIT, DC_DEBIT, TRANSFER, PAYMENT, ISSUING_AUTHORISATION_HOLD, ISSUING_AUTHORISATION_RELEASE, ISSUING_CAPTURE, ISSUING_REFUND, PURCHASE, PREPAYMENT, PREPAYMENT_RELEASE, REPAYMENT_FUNDING, REPAYMENT_DEDUCTION, MOR_PAYOUT, MOR_PAYOUT_REVERSAL, TRANSFER_OUT, TRANSFER_IN, TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL, WITHHOLDING_TAX, WITHHOLDING_TAX_REVERSAL.

Errors
Error statusDescription
401

credentials_invalid

404

not_found

500

service_unavailable

GET /api/v1/financial_transactions/{id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/financial_transactions/financial_transaction_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
3 "batchId": "bat_20201202_SGD_2",
4 "sourceId": "9f687fe6-dcf4-4462-92fa-80335301d9d2",
5 "fundingSourceId": "99d23411-234-22dd-23po-13sd7c267b9e",
6 "sourceType": "PAYMENT_ATTEMPT",
7 "transactionType": "PAYMENT",
8 "currency": "CNY",
9 "amount": 200.21,
10 "clientRate": 6.93,
11 "currencyPair": "AUDUSD",
12 "net": 100.21,
13 "fee": 0,
14 "estimatedSettledAt": "2021-03-22T16:08:02",
15 "settledAt": "2021-03-22T16:08:02",
16 "description": "deposit to.",
17 "status": "PENDING",
18 "createdAt": "2021-03-22T16:08:02"
19}
Was this section helpful?

List all Financial Transactions

GET /api/v1/financial_transactions

Get a list of financial transactions that contributed to the Airwallex account balance from a specified creation date/time, with optional filters on end creation date/time, batch_id and status.

Query parameters
batch_idstring

Batch unique identifier of the financial transaction.

currencystring

The currency (3-letter ISO-4217 code) of the financial transaction.

from_created_atstring

The start time of created_at in ISO8601 format (inclusive).

page_numinteger

Page number, default is 0, max is 2000.

page_sizeinteger

Number of results per page, default is 100, max is 1000.

source_idstring

The source unique identifier of the transaction.

statusstring

Status of the financial transaction, one of: PENDING, SETTLED.

to_created_atstring

The end time of created_at in ISO8601 format (inclusive).

Headers
x-on-behalf-ofstring

Unique identifier of the connected sub account.

Response body - 200 OK
hasMoreboolean

A flag which identifies whether there are more results.

itemsarray

List items.

items.amountnumber

Gross amount the transaction.

items.batchIdstring

The batch unique identifier of the settlement that the transaction belongs to.

items.clientRatenumber

The client rate for the transaction.

items.createdAtstring

The time this transaction was created at.

items.currencystring

Currency the transaction should be made in (3-letter ISO-4217 code).

items.currencyPairstring

The currency pair that the client_rate is quoted in.

items.descriptionstring

The description of the transaction.

items.estimatedSettledAtstring

The time when the transaction will be settled at.

items.feenumber

Fee paid for the transaction.

items.fundingSourceIdstring

The unique identifier of the funding source from which the transaction originated.

items.idstring

Unique identifier of the transaction.

items.netnumber

Net amount of the transaction.

items.settledAtstring

The time when the transaction was settled at.

items.sourceIdstring

The source unique identifier of the transaction.

items.sourceTypestring

The type of the source transaction, One of PAYOUT, CONVERSION, DEPOSIT, ADJUSTMENT, FEE, PAYMENT_ATTEMPT, REFUND, DISPUTE, CHARGE, TRANSFER, YIELD, BATCH_PAYOUT, CARD_PURCHASE, CARD_REFUND, PURCHASE, REFUND_REVERSAL, REPAYMENT, TRANSFER_OUT, TRANSFER_IN, TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL, WITHHOLDING_TAX.

items.statusstring

One of PENDING, SETTLED, CANCELLED .

items.transactionTypestring

The type of the transaction, One of DISPUTE, DISPUTE_REVERSAL, DISPUTE_LOST, REFUND, REFUND_REVERSAL,REFUND_FAILURE, PAYMENT_RESERVE_HOLD,PAYMENT_RESERVE_RELEASE,PAYOUT,PAYOUT_FAILURE, PAYOUT_REVERSAL, CONVERSION_SELL, CONVERSION_BUY, CONVERSION_REVERSAL, DEPOSIT, ADJUSTMENT, FEE, DD_CREDIT, DD_DEBIT, DC_CREDIT, DC_DEBIT, TRANSFER, PAYMENT, ISSUING_AUTHORISATION_HOLD, ISSUING_AUTHORISATION_RELEASE, ISSUING_CAPTURE, ISSUING_REFUND, PURCHASE, PREPAYMENT, PREPAYMENT_RELEASE, REPAYMENT_FUNDING, REPAYMENT_DEDUCTION, MOR_PAYOUT, MOR_PAYOUT_REVERSAL, TRANSFER_OUT, TRANSFER_IN, TRANSFER_OUT_REVERSAL, TRANSFER_IN_REVERSAL, WITHHOLDING_TAX, WITHHOLDING_TAX_REVERSAL.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

GET /api/v1/financial_transactions
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/financial_transactions' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "hasMore": true,
3 "items": [
4 {
5 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
6 "batchId": "bat_20201202_SGD_2",
7 "sourceId": "9f687fe6-dcf4-4462-92fa-80335301d9d2",
8 "fundingSourceId": "99d23411-234-22dd-23po-13sd7c267b9e",
9 "sourceType": "PAYMENT_ATTEMPT",
10 "transactionType": "PAYMENT",
11 "currency": "CNY",
12 "amount": 200.21,
13 "clientRate": 6.93,
14 "currencyPair": "AUDUSD",
15 "net": 100.21,
16 "fee": 0,
17 "estimatedSettledAt": "2021-03-22T16:08:02",
18 "settledAt": "2021-03-22T16:08:02",
19 "description": "deposit to.",
20 "status": "PENDING",
21 "createdAt": "2021-03-22T16:08:02"
22 }
23 ]
24}
Was this section helpful?